package de.parasuite.pdxi.server.communication;

import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.jws.WebService;

import org.jboss.logging.Logger;

import de.parasuite.pdxi.datatypes.ReturnCode;
import de.parasuite.pdxi.importer.interfaces.local.JobManagerLocal;

@Stateless
@WebService(name = "dataExchange", serviceName = "dataExchangeService", portName = "DataExchangePort", wsdlLocation = "META-INF/wsdl/server.wsdl", targetNamespace = "http://www.parasuite.de/PDXI/Server/Webservice", endpointInterface = "de.parasuite.pdxi.server.webservice.DataExchange")
public class DataExchange_Impl implements
	de.parasuite.pdxi.server.webservice.DataExchange {

    @EJB
    private JobManagerLocal manager;

    public DataExchange_Impl() {
    }


    public final String notifyAboutData(final String id, final String wsdl) {


	    ReturnCode rt = manager.addWebServiceJob(id, wsdl);
    	return rt.toString();
    }
}
